Bug 1274902 - [RFE] add support for rebooting a node if required by a extraconfig script
[RFE] add support for rebooting a node if required by a extraconfig script
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
medium Severity unspecified
: ---
: ---
Assigned To: Hugh Brock
Shai Revivo
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-23 15:30 EDT by David Critch
Modified: 2016-10-09 18:25 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-30 04:31:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Critch 2015-10-23 15:30:50 EDT
Description of problem:
There are cases where as part of deploying the overcloud, a reboot of the node may be requied. Currently rebooting in a template can interrupt the deployment process and result in a failed deployment

Use cases include:
- fully allocating available hugepages
- rebuilding dracut/initrd
Comment 4 Mike Burns 2016-04-07 16:54:03 EDT
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.
Comment 6 Jaromir Coufal 2016-09-30 04:31:41 EDT
I believe this is already available. Please re-open if still valid.

Note You need to log in before you can comment on or make changes to this bug.